<?php

namespace Buzzlab\Controllers;

use Buzzlab\Controllers\Controller;
use Buzzlab\Models\Batch;
use Buzzlab\Models\EmailHistory;
use Buzzlab\Models\SmsHistory;


class CronController extends Controller
{
    public function sentScheduleEmail()
    {
        $date           = buzz_date()->now();
        $scheduleEmails = EmailHistory::where('status', 2)->where('schedule','!=',null)->where('schedule', '<=', $date)->orderBy('last_cron')->limit(100)->get();
        
        foreach($scheduleEmails as $scheduleEmail){
            $batch = Batch::where('id', $scheduleEmail->batch_id)->first();
            $scheduleEmail = EmailHistory::find($scheduleEmail->id);
            $user  = [
                'user_login'   => $scheduleEmail->email,
                'user_email'   => $scheduleEmail->email,
                'display_name' => $scheduleEmail->email,
            ];
            
            buzz_notify($user, "DEFAULT", [
                'subject' => $scheduleEmail->subject,
                'message' => $scheduleEmail->message
            ], ['email'], false);
            
            
            if (buzz_session()->has('mail_error')) {
                $scheduleEmail->status   = 9;
                $scheduleEmail->fail_reason = buzz_session()->get('mail_error');
                buzz_session()->forget('mail_error');
                $batch->total_fail++;
            }else{
                $scheduleEmail->status  = 1;
                $batch->total_success++;
            }

            $scheduleEmail->sent_time = $date;
            $scheduleEmail->last_cron = $date;
            
            $scheduleEmail->save();
            $batch->status = 1;
            $batch->save();
        }
        update_option('buzz_last_email_cron', $date);
        return "EXECUTED";
        
    }

    public function sentScheduleSms()
    {
        $date           = buzz_date()->now();
        $scheduleSms = SMSHistory::where('status', 2)->where('schedule','!=',null)->where('schedule', '<=', $date)->orderBy('last_cron')->limit(100)->get();
        foreach($scheduleSms as $smsSchedule){
            $batch = Batch::where('id', $smsSchedule->batch_id)->first();
            $smsSchedule = SMSHistory::find($smsSchedule->id);
            $user  = [
                'user_login'   => $smsSchedule->email,
                'user_email'   => $smsSchedule->email,
                'display_name' => $smsSchedule->email,
            ];

            
            buzz_notify($user, "DEFAULT", [
                'subject' => '',
                'message' => $smsSchedule->message
            ], ['sms'], false);
            
            
            if (buzz_session()->has('sms_error')) {
                $smsSchedule->status   = 9;
                $smsSchedule->fail_reason = buzz_session()->get('sms_error');
                buzz_session()->forget('sms_error');
                $batch->total_fail++;
            }else{
                $smsSchedule->status  = 1;
                $batch->total_success++;
            }

            $smsSchedule->sent_time = $date;
            $smsSchedule->last_cron = $date;
            
            $smsSchedule->save();
            $batch->status = 1;
            $batch->save();
        }
        update_option('buzz_last_sms_cron', $date);
        return "EXECUTED";
        
    }
}
