<?php

namespace Buzzlab\Includes;

class Activator
{
    public function activate()
    {          
        if (!get_option('buzzlab_installed') || !get_option('buzzlab_version')) {
            global $wp_rewrite, $wpdb;
            $sql = file_get_contents(BUZZLAB_ROOT . 'db/buzzlab.sql');
            $sql = str_replace('{{prefix}}', $wpdb->prefix, $sql);
            $sql = str_replace('{{collate}}', $wpdb->collate, $sql);
            require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
            dbDelta($sql);

            update_option('buzzlab_version', buzz_system_details()['version']);
            update_option('buzzlab_installed', 1);
            update_option('buzz_email_template', $this->email_form());
            update_option('buzz_email_from', 'admin@site.com');
            update_option('buzzlab_email_batch_prefix', 'EB');
            update_option('buzzlab_sms_batch_prefix', 'SB');
            update_option('buzz_email_notification', 1);
            update_option('buzz_sms_notification', 1);
            update_option('buzz_sms_from', '00000000000');
            update_option('buzz_sms_body', '{{message}} {{site_name}}');
            update_option('buzz_mail_config', ['name'=>'php']);
            update_option('buzz_sms_config', ['name'=>'clickatell','clickatell'=>['api_key'=>'']]);
            $wp_rewrite->set_permalink_structure('/%year%/%monthnum%/%postname%/');
        }
        update_option('buzz_permalinks_flushed', 0);
    }

    public function deactivate()
    {
        flush_rewrite_rules();
    }

    public function email_form()
    {
        $html = '&lt;table&gt;
        &lt;tbody&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;
        &lt;table cellspacing=\&quot;0\&quot; cellpadding=\&quot;0\&quot;&gt;
        &lt;tbody&gt;
        &lt;tr&gt;
        &lt;td width=\&quot;600\&quot;&gt;&amp;nbsp;&lt;/p&gt;
        &lt;table class=\&quot;table-inner\&quot; width=\&quot;95%\&quot; cellspacing=\&quot;0\&quot; cellpadding=\&quot;0\&quot;
                                            &gt;&lt;/p&gt;
        &lt;tbody&gt;
        &lt;tr&gt;
        &lt;td&gt;
        &lt;table  width=\&quot;90%\&quot; cellspacing=\&quot;0\&quot; cellpadding=\&quot;0\&quot;
                                                            &gt;&lt;/p&gt;
        &lt;tbody&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;This is a System Generated Email&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;/tbody&gt;
        &lt;/table&gt;
        &lt;/td&gt;
        &lt;/tr&gt;
        &lt;/tbody&gt;
        &lt;/table&gt;
        &lt;table class=\&quot;table-inner\&quot;  width=\&quot;95%\&quot; cellspacing=\&quot;0\&quot; cellpadding=\&quot;0\&quot;&gt;
        &lt;tbody&gt;
        &lt;tr&gt;
        &lt;td&gt;
        &lt;table width=\&quot;90%\&quot; cellspacing=\&quot;0\&quot; cellpadding=\&quot;0\&quot;
                                                   &gt;&lt;/p&gt;
        &lt;tbody&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;a href=\&quot;#\&quot;&gt;&lt;br /&gt;
                                                                            &lt;img
                                                                                src=\&quot;https://i.imgur.com/Z1qtvtV.png\&quot;
                                                                                alt=\&quot;img\&quot; /&gt;&lt;br /&gt;
                                                                        &lt;/a&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;Hello &lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;
        &lt;table&gt;
        &lt;tbody&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;/tbody&gt;
        &lt;/table&gt;
        &lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td &gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td &gt;{{message}}&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;/tbody&gt;
        &lt;/table&gt;
        &lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;
        &lt;table&gt;
        &lt;tbody&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td class=\&quot;preference-link\&quot;&gt;&copy; 2022 &lt;a href=\&quot;#\&quot;&gt;{{site_name}}&lt;/a&gt;&nbsp;.&lt;br /&gt;
                                                                        All Rights Reserved.&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;/tbody&gt;
        &lt;/table&gt;
        &lt;/td&gt;
        &lt;/tr&gt;
        &lt;/tbody&gt;
        &lt;/table&gt;
        &lt;/td&gt;
        &lt;/tr&gt;
        &lt;/tbody&gt;
        &lt;/table&gt;
        &lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;/tbody&gt;
        &lt;/table&gt;        
        ';
        return $html;
    }
}
