<?php

namespace Buzzlab\Traits;

use Buzzlab\Lib\FileManager;

trait FileExport
{
    /**
     * Contains the file name like all_contact.csv
     */
    public $fileName;

    /**
     * Which columns to be exported
     *
     */
    public $exportColumns;


    /**
     * How many rows want to export from database
     *
     */
    public $exportItem;

    /**
     * Data ordering
     *
     */
    public $orderBy;

    public  function export()
    {
        $modelName = get_class();
        $model = new $modelName;
        $columns = $model->columns();

        if ($this->exportColumns) {
            $data = $model::orderBy('id', $this->orderBy)->limit($this->exportItem);
            if (count($this->exportColumns) != count($columns)) {
                foreach ($this->exportColumns as $column) {
                    $data = $data->where($column,'!=',null);
                }
                
                $data = $data->select($this->exportColumns)->get();
            }
        }else{
            $data = $model::get();
        }

        if (count($data) <= 0) {
            $notify[] = ['warning', 'No data found'];
            buzz_set_notify($notify);
            buzz_back();
        }

        if ($this->exportColumns) {
            $columns = array_intersect($columns, $this->exportColumns);
        }

        $fileName = BUZZLAB_ROOT."assets/exported_files/$this->fileName";

        $fp       = fopen($fileName, 'w');
        fputcsv($fp, $columns);

        foreach ($data as $item) {
            fputcsv($fp, buzz_to_array($item));
        }
        fclose($fp);

        $title = $this->fileName;

        $mimetype = mime_content_type($fileName);
        header('Content-Disposition: attachment; filename="' . $title);
        header("Content-Type: " . $mimetype);
        readfile($fileName);


    }
}