<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://viserlab.com
 * @since             1.0.0
 * @package           Buzzlab
 *
 * @wordpress-plugin
 * Plugin Name:       Buzzlab
 * Plugin URI:        https://viserlab.com/products/wordpress
 * Description:       Bulk Email And SMS Marketing Plugin
 * Version:           1.1
 * Author:            Viserlab
 * Author URI:        https://viserlab.com
 * Text Domain:       buzzlab
 * Domain Path:       /languages
 */

use Buzzlab\Hook\Hook;
use Buzzlab\Includes\Activator;

require_once __DIR__.'/vendor/autoload.php';

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}


define('BUZZLAB_PLUGIN_VERSION', buzz_system_details()['version']);
define('BUZZLAB_PLUGIN_NAME', buzz_system_details()['real_name']);
define('BUZZLAB_ROOT', plugin_dir_path(__FILE__));

include_once(ABSPATH . 'wp-includes/pluggable.php');


add_action('init',function(){
	$system = buzz_system_instance();
	$system->bootMiddleware();
	$system->handleRequestThroughRouter();
});

$hook = new Hook;
$hook->init();


$activator = new Activator();
register_activation_hook( __FILE__, [$activator, 'activate']);
register_deactivation_hook( __FILE__, [$activator, 'deactivate']);