<?php

use Buzzlab\BackOffice\Router\Router;
use Buzzlab\Controllers\Admin\AdminController;
use Buzzlab\Controllers\Admin\ContactController;
use Buzzlab\Controllers\Admin\GroupController;
use Buzzlab\Controllers\Admin\EmailController;
use Buzzlab\Controllers\Admin\SmsController;
use Buzzlab\Controllers\Admin\BatchController;
use Buzzlab\Controllers\Admin\GeneralSettingController;
use Buzzlab\Controllers\Admin\NotificationController;

$router = new Router;

$router->router([
    'admin.buzzlab' => [
        'method'       => 'get',
        'query_string' => 'buzzlab',
        'middleware'   =>['checkPlugin'],
        'action'       => [AdminController::class,'dashboard'],
    ],
    'admin.download.attachment'=>[
        'method'       => 'get',
        'query_string' => 'download_attachment',
        'middleware'   =>['checkPlugin'],
        'action'       => [AdminController::class, 'download'],
    ],

 //=============== Start the manage-contact route ===========
     'admin.contact.all' => [
        'method'       => 'get',
        'query_string' => 'all_contact',
        'middleware'   =>['checkPlugin'],
        'action'       => [ContactController::class, 'index'],
    ],
    'admin.contact.status' => [
        'method'       => 'post',
        'query_string' => 'contact_status',
        'middleware'   =>['checkPlugin'],
        'action'       => [ContactController::class, 'status'],
    ],
    'admin.contact.store' => [
        'method'       => 'post',
        'query_string' => 'contact_store',
        'middleware'   =>['checkPlugin'],
        'action'       => [ContactController::class, 'store'],
    ],
    'admin.contact.update' => [
        'method'       => 'post',
        'query_string' => 'contact_update',
        'middleware'   =>['checkPlugin'],
        'action'       => [ContactController::class, 'update'],
    ],

    'admin.contact.email' => [
        'method'       => 'get',
        'query_string' => 'email_contact',
        'middleware'   =>['checkPlugin'],
        'action'       => [ContactController::class, 'emailContact'],
    ],
    'admin.contact.sms' => [
        'method'       => 'get',
        'query_string' => 'sms_contact',
        'middleware'   =>['checkPlugin'],
        'action'       => [ContactController::class, 'smsContact'],
    ],
    'admin.contact.export' => [
        'method'       => 'post',
        'query_string' => 'contact_export',
        'middleware'   =>['checkPlugin'],
        'action'       => [ContactController::class, 'export'],
    ],

     //=============== Start the group route ===========
     'admin.group.email' => [
        'method'       => 'get',
        'query_string' => 'email_group',
        'middleware'   =>['checkPlugin'],
        'action'       => [GroupController::class, 'emailGroup'],
    ],
     'admin.group.sms' => [
        'method'       => 'get',
        'query_string' => 'sms_group',
        'middleware'   =>['checkPlugin'],
        'action'       => [GroupController::class, 'smsGroup'],
    ],
    'admin.group.status' => [
        'method'       => 'post',
        'query_string' => 'group_status',
        'middleware'   =>['checkPlugin'],
        'action'       => [GroupController::class, 'status'],
    ],
    'admin.group.store' => [
        'method'       => 'post',
        'query_string' => 'group_store',
        'middleware'   =>['checkPlugin'],
        'action'       => [GroupController::class, 'store'],
    ],
    'admin.group.update' => [
        'method'       => 'post',
        'query_string' => 'group_update',
        'middleware'   =>['checkPlugin'],
        'action'       => [GroupController::class, 'update'],
    ],
    'admin.group.contact.view' => [
        'method'       => 'get',
        'query_string' => 'group_contact_view',
        'middleware'   =>['checkPlugin'],
        'action'       => [GroupController::class, 'viewGroupContact'],
    ],
    'admin.group.contact.save' => [
        'method'       => 'post',
        'query_string' => 'group_contact_save',
        'middleware'   =>['checkPlugin'],
        'action'       => [GroupController::class, 'saveGroupContact'],
    ],
    'admin.group.contact.delete' => [
        'method'       => 'post',
        'query_string' => 'group_contact_delete',
        'middleware'   =>['checkPlugin'],
        'action'       => [GroupController::class, 'deleteGroupContact'],
    ],
    'admin.group.all' => [
        'method'       => 'get',
        'query_string' => 'all_group',
        'middleware'   =>['checkPlugin'],
        'action'       => [GroupController::class, 'groups'],
    ],
    'admin.group.banned' => [
        'method'       => 'get',
        'query_string' => 'banned_group',
        'middleware'   =>['checkPlugin'],
        'action'       => [GroupController::class, 'banned'],
    ],

    //================== Start the smtp route/ email managing =========
    'admin.email.send.form' => [
        'method'       => 'get',
        'query_string' => 'email_send_form',
        'middleware'   =>['checkPlugin'],
        'action'       => [EmailController::class, 'sendEmailForm'],
    ],
    
    'admin.email.history' => [
        'method'       => 'get',
        'query_string' => 'email_history',
        'middleware'   =>['checkPlugin'],
        'action'       => [EmailController::class, 'history'],
    ],
    'admin.email.view' => [
        'method'       => 'get',
        'query_string' => 'email_view',
        'middleware'   =>['checkPlugin'],
        'action'       => [EmailController::class, 'emailView'],
    ],
    
    //================== Start the smtp route/ email managing =========
    'admin.sms.history' => [
        'method'       => 'get',
        'query_string' => 'sms_history',
        'middleware'   =>['checkPlugin'],
        'action'       => [SmsController::class, 'history'],
    ],
    'admin.sms.send.form' => [
        'method'       => 'get',
        'query_string' => 'send_sms_form',
        'middleware'   =>['checkPlugin'],
        'action'       => [SmsController::class, 'sendSmsForm'],
    ],
    'admin.sms.view' => [
        'method'       => 'get',
        'query_string' => 'sms_view',
        'middleware'   =>['checkPlugin'],
        'action'       => [SmsController::class, 'smsView'],
    ],

    //batches-histories-email-sms
    'admin.batch.email' => [
        'method'       => 'get',
        'query_string' => 'email_batch',
        'middleware'   =>['checkPlugin'],
        'action'       => [BatchController::class, 'emailBatch'],
    ],
    'admin.batch.sms' => [
        'method'       => 'get',
        'query_string' => 'sms_batch',
        'middleware'   =>['checkPlugin'],
        'action'       => [BatchController::class, 'smsBatch'],
    ],
    
  

    //setting
    'admin.setting.index' => [
        'method'       => 'get',
        'query_string' => 'setting_index',
        'middleware'   =>['checkPlugin'],
        'action'       => [GeneralSettingController::class, 'index'],
    ],
    'admin.setting.store' => [
        'method'       => 'post',
        'query_string' => 'setting_store',
        'middleware'   =>['checkPlugin'],
        'action'       => [GeneralSettingController::class, 'store'],
    ],
    'admin.setting.system.configuration' => [
        'method'       => 'get',
        'query_string' => 'setting_system_configuration',
        'middleware'   =>['checkPlugin'],
        'action'       => [GeneralSettingController::class, 'systemConfiguration'],
    ],
    'admin.setting.system.configuration.store' => [
        'method'       => 'post',
        'query_string' => 'setting_system_configuration_store',
        'middleware'   =>['checkPlugin'],
        'action'       => [GeneralSettingController::class, 'systemConfigurationStore'],
    ],
    'admin.setting.system.configuration.store' => [
        'method'       => 'post',
        'query_string' => 'setting_system_configuration_store',
        'middleware'   =>['checkPlugin'],
        'action'       => [GeneralSettingController::class, 'systemConfigurationStore'],
    ],

    //logo and favicon
    'admin.setting.logo.icon' => [
        'method'       => 'get',
        'query_string' => 'setting_logo_icon',
        'middleware'   =>['checkPlugin'],
        'action'       => [GeneralSettingController::class, 'logoIcon'],
    ],
    'admin.setting.logo.icon.submit' => [
        'method'       => 'post',
        'query_string' => 'setting_logo_icon_submit',
        'middleware'   =>['checkPlugin'],
        'action'       => [GeneralSettingController::class, 'logoIconSubmit'],
    ],

    //notification setting
    'admin.setting.notification.global' => [
        'method'       => 'get',
        'query_string' => 'notification_global',
        'middleware'   =>['checkPlugin'],
        'action'       => [NotificationController::class, 'global'],
    ],
    'admin.setting.notification.global.update' => [
        'method'       => 'post',
        'query_string' => 'notification_global_update',
        'middleware'   =>['checkPlugin'],
        'action'       => [NotificationController::class, 'globalUpdate'],
    ],
    'admin.setting.notification.email' => [
        'method'       => 'get',
        'query_string' => 'email_setting',
        'middleware'   =>['checkPlugin'],
        'action'       => [NotificationController::class, 'emailSetting'],
    ],
    'admin.setting.notification.email.update' => [
        'method'       => 'post',
        'query_string' => 'email_setting_update',
        'middleware'   =>['checkPlugin'],
        'action'       => [NotificationController::class, 'emailSettingUpdate'],
    ],
    'admin.setting.notification.sms' => [
        'method'       => 'get',
        'query_string' => 'sms_setting',
        'middleware'   =>['checkPlugin'],
        'action'       => [NotificationController::class, 'smsSetting'],
    ],
    'admin.setting.notification.sms.update' => [
        'method'       => 'post',
        'query_string' => 'sms_setting_update',
        'middleware'   =>['checkPlugin'],
        'action'       => [NotificationController::class, 'smsSettingUpdate'],
    ],
    'admin.setting.notification.templates' => [
        'method'       => 'get',
        'query_string' => 'template_setting',
        'middleware'   =>['checkPlugin'],
        'action'       => [NotificationController::class, 'templates'],
    ],
    'admin.setting.notification.template.edit' => [
        'method'       => 'get',
        'query_string' => 'template_edit',
        'middleware'   =>['checkPlugin'],
        'action'       => [NotificationController::class, 'templateEdit'],
    ],
    'admin.setting.notification.template.update' => [
        'method'       => 'post',
        'query_string' => 'template_update',
        'middleware'   =>['checkPlugin'],
        'action'       => [NotificationController::class, 'templateUpdate'],
    ],
    'admin.setting.notification.email.test' => [
        'method'       => 'post',
        'query_string' => 'email_test',
        'middleware'   =>['checkPlugin'],
        'action'       => [NotificationController::class, 'emailTest'],
    ],
    'admin.setting.notification.sms.test' => [
        'method'       => 'post',
        'query_string' => 'sms_test',
        'middleware'   =>['checkPlugin'],
        'action'       => [NotificationController::class, 'smsTest'],
    ],

    //bug report and request
    'admin.request.report'=>[
        'method'       => 'get',
        'query_string' => 'report_and_request',
        'middleware'   =>['checkPlugin'],
        'action'       => [AdminController::class,'requestReport'],
    ],
    'admin.request.report.submit'=>[
        'method'       => 'post',
        'query_string' => 'report_and_request_submit',
        'middleware'   =>['checkPlugin'],
        'action'       => [AdminController::class,'requestReportSubmit'],
    ],
]);