<?php
buzz_layout('admin/layouts/master');
?>
<div class="row">
    <div class="col-lg-12">
        <div class="card b-radius--10">
            <div class="card-body p-0">
                <div class="table-responsive--sm table-responsive">
                    <table class="table table--light style--two">
                        <thead>
                            <tr>
                                <th><?php esc_html_e('Batch Number', BUZZLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Total Email', BUZZLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Total Success Email', BUZZLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Total Failed Email', BUZZLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Email Sender', BUZZLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Status', BUZZLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Action', BUZZLAB_PLUGIN_NAME); ?></th>
                            </tr>
                        </thead>
                        <tbody>

                            <?php foreach ($batches->data as $batch) { ?>
                                <tr>
                                    <td> <?php esc_html_e($batch->batch_id) ?></td>
                                    <td> <?php esc_html_e($batch->total) ?> </td>
                                    <td> <?php esc_html_e($batch->total_success) ?></td>
                                    <td> <?php esc_html_e($batch->total_fail) ?> </td>
                                    <td> <?php esc_html_e(ucfirst($batch->sender)) ?> </td>
                                    <td>
                                        <?php
                                        $html = '';
                                        if ($batch->status) {
                                            $html = '<span class="badge badge--success">' . __('Completed', BUZZLAB_PLUGIN_NAME) . '</span>';
                                        } else {
                                            $html = '<span class="badge badge--primary">' . __('Pending', BUZZLAB_PLUGIN_NAME) . '</span>';
                                        }
                                        echo wp_kses($html, buzz_allowed_html());
                                        ?>
                                    </td>

                                    <td>
                                        <a href="<?php echo buzz_route_link('admin.email.history'); ?>&amp;batch_id=<?php echo intval($batch->id); ?>" class="btn btn-sm btn-outline--primary ms-1">
                                            <i class="la la-desktop"></i> <?php esc_html_e('View All', BUZZLAB_PLUGIN_NAME); ?>
                                        </a>
                                    </td>

                                </tr>
                            <?php } ?>


                            <?php if (buzz_check_empty($batches->data)) { ?>
                                <tr>
                                    <td colspan="7" class="text-center"><?php esc_html_e('Data Not Found', BUZZLAB_PLUGIN_NAME); ?></td>
                                </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>