<?php
buzz_layout('admin/layouts/master');
?>

<div class="row">
    <div class="col-lg-12">
        <div class="card b-radius--10">
            <div class="card-body p-0">
                <div class="table-responsive--sm table-responsive">
                    <table class="table table--light style--two">
                        <thead>
                            <tr>
                                <th><?php esc_html_e('Sender', BUZZLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('To', BUZZLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Subject', BUZZLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Sent', BUZZLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Initiated', BUZZLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Status', BUZZLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Action', BUZZLAB_PLUGIN_NAME); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($logs->data as $log) { ?>
                                <tr>
                                    <td> <?php esc_html_e($log->sender) ?></td>
                                    <td> <?php esc_html_e($log->email) ?> </td>
                                    <td> <?php esc_html_e(buzz_str_limit($log->subject, 20)) ?></td>
                                    <td>
                                        <?php if (@$log->sent_time) : ?>
                                            <?php echo @$log->sent_time ?> <br>
                                            <small> <?php echo buzz_diff_for_humans($log->sent_time) ?> </small>
                                        <?php endif ?>
                                    </td>

                                    <td> <?php echo buzz_show_date_time($log->created_at) ?> <br>
                                        <small> <?php echo buzz_diff_for_humans($log->created_at) ?> </small>
                                    </td>
                                    <td>
                                        <?php
                                        $html = '';
                                        if ($log->status == 1) {
                                            $html = '<span class="badge badge--success">' . __('Completed', BUZZLAB_PLUGIN_NAME) . '</span>';
                                        } elseif ($log->status == 9) {
                                            $html = '<span class="badge badge--danger fail-reason">' . __('Failed', BUZZLAB_PLUGIN_NAME) . '</span>';
                                        }  else {
                                            $html = '<span class="badge badge--primary">' . __('Scheduled', BUZZLAB_PLUGIN_NAME) . '</span>';
                                        }
                                        echo wp_kses($html, buzz_allowed_html());
                                        ?>
                                    </td>

                                    <td>
                                        <a href="<?php echo buzz_route_link('admin.email.view'); ?>&amp;id=<?php echo intval($log->id); ?>" class="btn btn-sm btn-outline--primary ms-1">
                                            <i class="la la-desktop"></i> <?php esc_html_e('View', BUZZLAB_PLUGIN_NAME); ?>
                                        </a>
                                    </td>
                                </tr>
                            <?php } ?>

                            <?php if (buzz_check_empty($logs->data)) { ?>
                                <tr>
                                    <td colspan="7" class="text-center"><?php esc_html_e('Data Not Found', BUZZLAB_PLUGIN_NAME); ?></td>
                                </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$html = '<a href="'.buzz_route_link('admin.email.send.form').'" class="btn btn-outline--primary">
<i class="las la-paper-plane"></i> '.esc_html('Send Email').'
</a>';
buzz_push_breadcrumb($html);
?>