<?php
buzz_layout('admin/layouts/master');
?>

<div class="row justify-content-center">
    <div class="col-lg-9">
        <div class="card b-radius--10">
            <div class="card-body" id="card-body">
                <ul class="steps-wrapper d-flex justify-content-center mb-3 mt-3 flex-wrap">
                    <li class="step-item">
                        <span class="btn btn--primary" id="collect-email-btn"><?php esc_html_e('Step of Collect Email', BUZZLAB_PLUGIN_NAME); ?> </span>
                    </li>

                    <li class="step-item">
                        <span class="btn btn--secondary " id="write-message-btn"><?php esc_html_e('Step of Write Message', BUZZLAB_PLUGIN_NAME); ?></span>
                    </li>
                </ul>

                <div id="wizard" class="mx-3">
                    <section id="section-collect-email">
                        <form method="POST" class="emailMerge" id="emailMerge">
                            <div class="form-group contact-list-wrapper">
                                <label for="contact-list"><?php esc_html_e('Email From Contact', BUZZLAB_PLUGIN_NAME); ?> </label>
                                <select id="contact-list" name="contact_id[]" class="form-control" multiple> </select>
                            </div>
                            <div class="form-group __select2-wrapper" id="group-list">
                                <label><?php esc_html_e('Email From Group', BUZZLAB_PLUGIN_NAME); ?> </label>
                                <select class="form-control select2-multi-select" name="group_id[]" id="group-list" multiple>
                                    <option value="" disabled><?php esc_html_e('Select One', BUZZLAB_PLUGIN_NAME); ?> </option>
                                    <?php foreach ($groups as $group) : ?>
                                        <option value="<?php esc_attr_e($group->id) ?>"> <?php esc_html_e($group->name) ?></option>
                                    <?php endforeach ?>
                                </select>
                            </div>

                            <div class="form-group">
                                <label><?php esc_html_e('Email From Upload File', BUZZLAB_PLUGIN_NAME); ?></label> <strong class="uploadInFo"><i class="fas fa-info-circle text--primary"></i></strong>
                                <input type="file" class="form-control uploadFile" id="uploadFile" accept=".txt,.csv,.xlsx" name="file">
                                <small class="file-size float-end"></small>
                                <div class="mt-2">
                                    <small class="d-block">
                                        <?php esc_html_e('Supported files', BUZZLAB_PLUGIN_NAME); ?>: <b class="fw-bold"><?php esc_html_e('csv', BUZZLAB_PLUGIN_NAME); ?>, <?php esc_html_e('excel', BUZZLAB_PLUGIN_NAME); ?>,
                                            <?php esc_html_e('txt', BUZZLAB_PLUGIN_NAME); ?></b>
                                    </small>
                                    <small>
                                        <?php esc_html_e('Download all of the template files from here', BUZZLAB_PLUGIN_NAME); ?>
                                        <a href="<?php echo buzz_assets('template_files/email/sample.csv') ?>" title="<?php esc_attr_e('Download csv file',BUZZLAB_PLUGIN_NAME); ?>" class="text--primary" download>
                                            <b><?php esc_html_e('csv', BUZZLAB_PLUGIN_NAME); ?>,</b>
                                        </a>
                                        <a href="<?php echo buzz_assets('template_files/email/sample.xlsx') ?>" title="<?php esc_attr_e('Download excel file',BUZZLAB_PLUGIN_NAME); ?>" class="text--primary" download>
                                            <b><?php esc_html_e('excel', BUZZLAB_PLUGIN_NAME); ?>,</b>
                                        </a>
                                        <a href="<?php echo buzz_assets('template_files/email/sample.txt') ?>" title="<?php esc_attr_e('Download txt file',BUZZLAB_PLUGIN_NAME); ?>" class="text--primary" download>
                                            <b><?php esc_html_e('txt', BUZZLAB_PLUGIN_NAME); ?></b>
                                        </a>
                                    </small>
                                </div>
                            </div>
                        </form>
                    </section>

                    <section id="section-send-email" class="d-none">
                        <form method="POST" id="sendEmail">
                            <div class="form-group">
                                <label class="required"><?php esc_html_e('Will Be Sent', BUZZLAB_PLUGIN_NAME); ?></label>
                                <select name="will_be_sent" class="form-control">
                                    <option value="1"><?php esc_html_e('Now', BUZZLAB_PLUGIN_NAME); ?></option>
                                    <option value="2"><?php esc_html_e('Add Schedule', BUZZLAB_PLUGIN_NAME); ?></option>
                                </select>
                            </div>
                            <div id="schedule" class="d-none form-group">
                                <div class="row">
                                    <div class="col-lg-12">
                                        <label class="required" for="date"><?php esc_html_e('Schedule', BUZZLAB_PLUGIN_NAME); ?> </label>
                                        <div class="input-group">
                                            <input type="text" class="form-control date" id="date" name="date" autocomplete="off">
                                            <span class="input-group-text">
                                                <i class="las la-calendar"></i>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="required"><?php esc_html_e('Subject', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" class="form-control" name="subject" required>
                            </div>
                            <div class="form-group" id="message">
                                <label class="required"><?php esc_html_e('Message', BUZZLAB_PLUGIN_NAME); ?></label>
                                <textarea class="form-control border-radius-5 nicEdit" style="width:100%" name="message"></textarea>
                            </div>
                        </form>
                    </section>
                </div>
                <div class="d-flex justify-content-center flex-wrap gap-4 mx-3 mb-3">
                    <button type="submit" class="btn btn--primary nextBtn w-100 h-45" form="emailMerge"><?php esc_html_e('Next', BUZZLAB_PLUGIN_NAME); ?></button>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="info-modal">
    <div class="modal-dialog modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"> <?php esc_html_e('File Upload Information', BUZZLAB_PLUGIN_NAME); ?> </h5>
                <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <i class="la la-close" aria-hidden="true"></i>
                </button>
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <div class="alert alert-warning p-3" role="alert">
                        <p>
                            <?php esc_html_e('The file you wish to upload has to be formatted as we provided template files. Any changes to these files will be considered as an invalid file format. Download links are provided below', BUZZLAB_PLUGIN_NAME); ?>
                        </p>
                    </div>
                </div>
                <hr>
                <div class="form-group">
                    <small>
                        <p>
                            <?php esc_html_e('Download template file', BUZZLAB_PLUGIN_NAME); ?>
                            <a href= "<?php echo buzz_assets('template_files/email/sample.csv') ?>" title=" <?php esc_attr_e('Download csv file',BUZZLAB_PLUGIN_NAME); ?>lang" class="text--primary" download>
                                <b><?php esc_html_e('CSV', BUZZLAB_PLUGIN_NAME); ?></b>
                            </a>
                        </p>
                        <p>
                            <?php esc_html_e('Download template file', BUZZLAB_PLUGIN_NAME); ?>
                            <a href="<?php echo buzz_assets('template_files/email/sample.xlsx') ?>" title=" <?php esc_attr_e('Download excel file',BUZZLAB_PLUGIN_NAME); ?>" class="text--primary" download>
                                <b><?php esc_html_e('Excel', BUZZLAB_PLUGIN_NAME); ?></b>
                            </a>
                        </p>
                        <p>
                            <?php esc_html_e('Download template file', BUZZLAB_PLUGIN_NAME); ?>
                            <a href="<?php echo buzz_assets('template_files/email/sample.txt') ?>" title=" <?php esc_attr_e('Download txt file',BUZZLAB_PLUGIN_NAME); ?>" class="text--primary" download>
                                <b><?php esc_html_e('Text', BUZZLAB_PLUGIN_NAME); ?></b>
                            </a>
                        </p>

                    </small>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" data-bs-backdrop="static" id="progress-modal">
    <div class="modal-dialog modal-lg modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"><?php esc_html_e('Send Email', BUZZLAB_PLUGIN_NAME); ?></h5>
            </div>
            <div class="modal-body">
                <h4 class="text--danger text-center"><?php esc_html_e('Don\'t close or refresh the window till finished', BUZZLAB_PLUGIN_NAME); ?></h4>
                <div class="mail-wrapper">
                    <img src="<?php echo buzz_get_image('images/sending.gif') ?>" alt="">
                </div>
                <div class="mt-3">
                    <div class="progress">
                        <div class="progress-bar" style="width: 0%">0%</div>
                    </div>
                    <p>
                        <span class="email-sent text--success">0</span> <?php esc_html_e('email', BUZZLAB_PLUGIN_NAME); ?>
                        <span class="email-status"></span> <span><?php esc_html_e('of total', BUZZLAB_PLUGIN_NAME); ?></span>
                        <span class="total-email text--primary"></span> <?php esc_html_e('Emails', BUZZLAB_PLUGIN_NAME); ?>
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$html = '<a href="'.buzz_route_link('admin.email.history').'" class="btn btn-outline--primary">
<i class="las la-list"></i> '.esc_html('Email History').'
</a>';
buzz_push_breadcrumb($html);
?>


<script>
    jQuery(document).ready(function($) {
        "use strict";

        function notify(status, message) {
            iziToast[status]({
                message: message,
                position: "topRight"
            });
        }

        let action = "<?php echo admin_url('/') ?>/admin-ajax.php";
        let page = 2;
        let fetchData=0;
        
        $('#contact-list').select2({
            ajax: {
                url: action,
                type: "get",
                dataType: 'json',
                delay: 1000,
                data: function(params) {
                    return {
                        search: params.term,
                        pnum: params.pnum,
                        rows: 5,
                        forSelect2: true,
                        action: "group_contact_search",
                        type: "email"
                    };
                },
                processResults: function(response, params) {
                    params.pnum = page;
                    page = page + 1;
                    fetchData=fetchData+response.pagination;
                    let data =[];
                    $.each(response.data, function( index, value ) {
                        let obj={
                            'id' : value.id,
                            'text' :value.email
                        }
                        data.push(obj);
                    });
                    return {
                        results:data,
                        pagination: { more: fetchData < response.total_data}
                    };
                }
            },
            cache: false,
            dropdownParent: $(".contact-list-wrapper")

        });

        $('.select2-multi-select').select2({
            dropdownParent: $(".__select2-wrapper")
        });

        $('#write-message-btn').on('click', function(e) {
            if (emails.length > 0) {
                $("#section-send-email").removeClass('d-none');
                $("#section-collect-email").addClass('d-none');
                $('.nextBtn').attr('form', "sendEmail");
                $('.nextBtn').text("Submit");
                $("#write-message-btn").addClass('btn--primary')
            }
        });

        $(".uploadInFo").on('click', function(e) {
            $("#info-modal").modal('show')
        })

        $(".uploadFile").on('change', function(e) {
            let file = e.target.files[0];
            let fileExtention = file.name.split('.').pop();
            if (fileExtention != 'csv' && fileExtention != 'xlsx' && fileExtention != 'txt') {
                notify('error', "File type not suported");
                document.querySelector('.uploadFile').value = '';
                return false;
            }
            let size = fileSize(file.size);
            $(".file-size").text(size);
        });

        function fileSize(bytes) {

            let marker = 1024; // Change to 1000 if required
            let kiloBytes = marker; // One Kilobyte is 1024 bytes
            let megaBytes = marker * marker; // One MB is 1024 KB
            let gigaBytes = marker * marker * marker; // One GB is 1024 MB
            let teraBytes = marker * marker * marker * marker; // One TB is 1024 GB

            if (bytes < kiloBytes) return bytes + " Bytes";
            else if (bytes < megaBytes) return (bytes / kiloBytes).toFixed(2) + " KB";
            else if (bytes < gigaBytes) return (bytes / megaBytes).toFixed(2) + " MB";
            else return (bytes / gigaBytes).toFixed(2) + " GB";
        }

        let emails = [];
        let totalSendEmail = 0;
        $('.emailMerge').on('submit', function(event) {
            event.preventDefault();
            let formData = new FormData($(this)[0]);
            formData.append('action', 'merge_contact');
            $.ajax({
                url: action,
                method: 'post',
                data: formData,
                cache: false,
                contentType: false,
                processData: false,
                beforeSend: function() {
                    $("#emailMerge").closest('.card-body').addClass('animate-border');
                },
                complete: function(e) {
                    $("#emailMerge").closest('.card-body').removeClass('animate-border');
                },
                success: function(response) {
                    if (response.success) {
                        $("#section-send-email").removeClass('d-none');
                        $("#section-collect-email").addClass('d-none');
                        emails = response.emails;
                        $('#progress-modal').find(".total-email").text(emails.length);
                        $('.nextBtn').attr('form', "sendEmail");
                        $('.nextBtn').text("Send");
                        $("#write-message-btn").removeClass('btn--secondary')
                        $("#write-message-btn").addClass('btn--primary');
                        nicEditor();
                    } else {
                        $("#section-send-email").fadeOut();
                        $("#section-collect-email").removeClass('d-none');
                        $.each(response.errors, function(index, value) {
                            notify('error', value);
                        });
                    }
                },
                error: function(e) {
                    notify('error', 'Something went wrong');
                }
            });
        });

        const BATCHID = "<?php echo buzz_batch_id() ?>" 

        $('#sendEmail').on('submit', function(event) {
            event.preventDefault();
            let formData = new FormData($(this)[0]);
            let message = $('#message').find('.nicEdit-main').html();
            formData.append('message', message);
            formData.append('batch_id', BATCHID);
            formData.append('email', emails[totalSendEmail])
            sendEmail(formData);
        });

        function sendEmail(formData) {

            if ($(`select[name=will_be_sent]`).val() == 1) {
                $('.email-status').text('sent')
            } else {
                $('.email-status').text('schedule')
            }

            formData.append('action', 'send_email_to_contacts');
            $.ajax({
                url: action,
                method: "POST",
                data: formData,
                cache: false,
                contentType: false,
                processData: false,
                beforeSend: function() {
                    $("#card-body").addClass('animate-border');
                },
                complete: function(e) {
                    $("#card-body").removeClass('animate-border');
                },

                success: function(response) {

                    if (!response.success) {
                        $.each(response.errors, function(index, value) {
                            notify('error', value);
                        });
                        return false;
                    }
                    totalSendEmail++;

                    if (totalSendEmail < emails.length) {
                        setTimeout(() => {
                            formData.append('email', emails[totalSendEmail])
                            sendEmail(formData)
                        }, 1000);
                    }

                    let percent = parseFloat((totalSendEmail / emails.length) * 100).toFixed(2);

                    $('#progress-modal').find(".progress-bar").css(`width`, `${percent}%`)
                    $('#progress-modal').find(".progress-bar").text(`${percent}%`)
                    $('#progress-modal').find(".email-sent").text(totalSendEmail);
                    $("#progress-modal").modal('show');

                    if (totalSendEmail == emails.length) {
                        notify('success', `Email ${$('.email-status').text()} successfully`);
                        setTimeout(() => {
                            "<?php buzz_session()->forget('EMAIL_FOR_SEND') ?>";
                            $("#progress-modal").modal('hide');
                            location.reload();
                        }, 2000);
                    }

                },
                error: function(e) {
                    notify('error', 'Something went wrong');
                }
            })

        }

        $("select[name=will_be_sent]").on('change', function(e) {
            let value = $(this).val();
            if (value == 2) {
                $('#date').datepicker({
                    language: 'en',
                    dateFormat: 'yyyy-mm-dd',
                    minDate: date,
                    timepicker: true,
                });

                $("#schedule").fadeIn().removeClass('d-none');
            } else {
                $("#schedule").fadeOut().addClass('d-none');
            }
        });

        let date = new Date(new Date().toLocaleString("en-US", {
            timeZone: "<?php echo  date_default_timezone_get() ?>"
        }));


        function nicEditor() {
            let editor = $("#section-send-email").find(".nicEdit");
            let firstDiv = $("#message").find('div')[0];
            let nicEditorMain = $(editor).closest('#section-send-email').find('.nicEdit-main')[0];

            $(firstDiv).css({
                width: "100%"
            });

            $(nicEditorMain).css({
                width: "100%"
            });

            $(firstDiv).next().css({
                width: "100%"
            });
        }

    });
</script>

<style>
    .nicEdit-main {
        min-height: 200px !important;
    }
    .select2-container{
        z-index: unset !important;
    }
    .contact-list-wrapper{
        position: relative;
    }
</style>