<?php
buzz_layout('admin/layouts/master');
$type = buzz_request()->type == 1 ?'email':'mobile';
?>

<div class="row">
    <div class="col-lg-12">
        <div class="card b-radius--10">
            <div class="card-body p-0">
                <div class="table-responsive--md table-responsive">
                    <table class="table--light style--two table">
                        <thead>
                            <tr>
                                <?php if ($type == 'email') : ?>
                                    <th><?php esc_html_e('Email', BUZZLAB_PLUGIN_NAME) ?></th>
                                <?php else : ?>
                                    <th><?php esc_html_e('Mobile', BUZZLAB_PLUGIN_NAME) ?></th>
                                <?php endif; ?>
                                <th><?php esc_html_e('Action', BUZZLAB_PLUGIN_NAME) ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            foreach ($contacts->data as $contact) {
                                $contact = Buzzlab\Models\Contact::findOrFail($contact->contact_id);
                            ?>
                                <tr>
                                    <?php if ($type == 'email') : ?>
                                        <td><?php esc_html_e($contact->email,BUZZLAB_PLUGIN_NAME) ?></td>
                                    <?php else : ?>
                                        <td><?php esc_html_e($contact->mobile,BUZZLAB_PLUGIN_NAME) ?></td>
                                    <?php endif; ?>
                                    <td>
                                        <button class="btn btn-sm btn-outline--danger ms-1 confirmationBtn" data-question="<?php esc_attr_e('Are you sure to delete the contact?', BUZZLAB_PLUGIN_NAME); ?>" data-action="<?php echo buzz_route_link('admin.group.contact.delete'); ?>&amp;id=<?php echo intval($contact->id); ?>">
                                            <i class="la la-trash"></i> <?php esc_html_e('Delete', BUZZLAB_PLUGIN_NAME); ?>
                                        </button>
                                    </td>
                                </tr>
                            <?php } ?>
                            <?php if (buzz_check_empty($contacts->data)) { ?>
                                <tr>
                                    <td colspan="100%" class="text-center"><?php esc_html_e('Data Not Found', BUZZLAB_PLUGIN_NAME); ?></td>
                                </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <?php if (@$contacts->links) { ?>
            <div class="card-footer">
                <?php echo wp_kses($contacts->links, buzz_allowed_html()); ?>
            </div>
        <?php } ?>
    </div>
</div>


<div class="modal fade" id="groupModal">
    <div class="modal-dialog modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><?php esc_html_e('Add',BUZZLAB_PLUGIN_NAME); ?> <?php esc_html_e(ucfirst($type),BUZZLAB_PLUGIN_NAME); ?> <?php esc_html_e('To Group',BUZZLAB_PLUGIN_NAME); ?></h4>
                <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <i class="la la-times" aria-hidden="true"></i>
                </button>
            </div>
            <form method="POST" action="<?php echo buzz_route_link('admin.group.contact.save') ?>&group_id=<?php echo $group->id?>&group_type=<?php echo $type ?>">
                <?php buzz_nonce_field('admin.group.contact.save') ?>
                <div class="modal-body">
                    <div class="form-group" id="section-contact">
                        <label> <?php esc_html_e(ucfirst($type ),BUZZLAB_PLUGIN_NAME); ?></label>
                        <select class="form-control" id="contact-list" name="contacts[]" multiple></select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn--primary w-100 h-45"> <?php esc_html_e('Submit',BUZZLAB_PLUGIN_NAME); ?> </button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php
buzz_include('partials/confirmation', ['nonce' => 'admin.group.contact.delete']);
$html = '<button type="button" class="btn btn-outline--primary addBtn"><i class="las la-plus"></i> '.esc_html('Add Contact').'</button>';
buzz_push_breadcrumb($html);
?>

<script>
    jQuery(document).ready(function($) {
        "use strict";
        let groupModal = $("#groupModal");
        $('.addBtn').on('click', function(e) {
            groupModal.modal('show');
        });

        let action = "<?php echo admin_url('/')?>/admin-ajax.php";
        let page = 2;
        let fetchData = 0;

        $('#contact-list').select2({

            ajax: {
                url: action,
                type: "get",
                dataType: 'json',
                delay: 1000,
                data: function(params) {
                    return {
                        search: params.term,
                        pnum: params.pnum,
                        rows: 5,
                        forSelect2: true,
                        action: "group_contact_search",
                        group_id:"<?php echo $group->id ?>",
                        type: "<?php echo $type ?>",
                        
                    };
                },
                processResults: function(response, params) {
                    params.pnum = page;
                    page = page+1;
                    fetchData = fetchData+response.pagination;
                    let data =[];
                    var reqType = "<?php echo $type ?>";
                    $.each(response.data, function( index, value ) {
                            if (reqType == 'email') {
                                var type = value.email
                            }else{
                                var type = value.mobile
                            }
                            let obj={
                                'id' : value.id,
                                'text' :type
                            }
                            data.push(obj);
                    });
                    return {
                        results:data,
                        pagination: { more: fetchData < response.total_data}
                    };
                }
            },
            cache: false
        });



       


    });
</script>

