<?php buzz_layout('admin/layouts/master'); ?>
<div class="row">
    <div class="col-md-12">
        <div class="card overflow-hidden">
            <div class="card-body p-0">
                <div class="table-responsive table-responsive--sm">
                    <table class="table align-items-center table--light">
                        <thead>
                            <tr>
                                <th><?php esc_html_e('Short Code', BUZZLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Description', BUZZLAB_PLUGIN_NAME); ?></th>
                            </tr>
                        </thead>
                        <tbody class="list">
                           
                            <tr>
                                <td><span class="short-codes">{{message}}</span></td>
                                <td><?php esc_html_e('Message', BUZZLAB_PLUGIN_NAME); ?></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <h6 class="mt-4 mb-2"><?php esc_html_e('Global Short Codes', BUZZLAB_PLUGIN_NAME); ?></h6>
        <div class="card overflow-hidden">
            <div class="card-body p-0">
                <div class="table-responsive table-responsive--sm">
                    <table class=" table align-items-center table--light">
                        <thead>
                            <tr>
                                <th><?php esc_html_e('Short Code', BUZZLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Description', BUZZLAB_PLUGIN_NAME); ?></th>
                            </tr>
                        </thead>
                        <tbody class="list">
                            <?php foreach (buzz_global_notify_short_codes() as $shortCode => $codeDetails) { ?>
                                <tr>
                                    <td><span class="short-codes">{{<?php echo esc_html($shortCode); ?>}}</span></td>
                                    <td><?php echo esc_html($codeDetails); ?></td>
                                </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-12">
        <div class="card mt-5">
            <div class="card-body">
                <form action="<?php echo buzz_route_link('admin.setting.notification.global.update'); ?>" method="POST">
                    <?php buzz_nonce_field('admin.setting.notification.global.update'); ?>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label><?php esc_html_e('Email Sent From', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" class="form-control " placeholder="<?php esc_attr_e('Email address'); ?>" name="email_from" value="<?php echo esc_attr(get_option('buzz_email_from')); ?>" required />
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label><?php esc_html_e('Email Body', BUZZLAB_PLUGIN_NAME); ?></label>
                                <textarea name="email_template" rows="10" class="form-control nicEdit" placeholder="<?php esc_attr_e('Your email template'); ?>"><?php echo html_entity_decode(stripslashes(get_option('buzz_email_template'))); ?></textarea>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label><?php esc_html_e('SMS Sent From', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input class="form-control" placeholder="<?php esc_attr_e('SMS Sent From'); ?>" name="sms_from" value="<?php echo esc_attr(get_option('buzz_sms_from')); ?>" required>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="form-group">
                                <label><?php esc_html_e('SMS Body', BUZZLAB_PLUGIN_NAME); ?></label>
                                <textarea class="form-control" rows="4" placeholder="<?php esc_attr_e('SMS Body'); ?>" name="sms_body" required><?php echo html_entity_decode(stripslashes(get_option('buzz_sms_body'))); ?></textarea>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn w-100 btn--primary h-45"><?php esc_html_e('Submit', BUZZLAB_PLUGIN_NAME); ?></button>
                </form>
            </div>
        </div><!-- card end -->
    </div>
</div>