<?php buzz_layout('admin/layouts/master'); ?>
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <form action="<?php echo buzz_route_link('admin.setting.notification.sms.update'); ?>" method="POST">
                <?php buzz_nonce_field('admin.setting.notification.sms.update'); ?>
                <div class="card-body">
                    <div class="form-group">
                        <label><?php esc_html_e('Sms Send Method', BUZZLAB_PLUGIN_NAME); ?></label>
                        <select name="sms_method" class="form-control">
                            <option value="clickatell" <?php selected(@$smsConfig->name, 'clickatell'); ?>><?php esc_html_e('Clickatell', BUZZLAB_PLUGIN_NAME); ?></option>
                            <option value="infobip" <?php selected(@$smsConfig->name, 'infobip'); ?>><?php esc_html_e('Infobip', BUZZLAB_PLUGIN_NAME); ?></option>
                            <option value="messageBird" <?php selected(@$smsConfig->name, 'messageBird'); ?>><?php esc_html_e('Message Bird', BUZZLAB_PLUGIN_NAME); ?></option>
                            <option value="nexmo" <?php selected(@$smsConfig->name, 'nexmo'); ?>><?php esc_html_e('Nexmo', BUZZLAB_PLUGIN_NAME); ?></option>
                            <option value="smsBroadcast" <?php selected(@$smsConfig->name, 'smsBroadcast'); ?>><?php esc_html_e('Sms Broadcast', BUZZLAB_PLUGIN_NAME); ?></option>
                            <option value="twilio" <?php selected(@$smsConfig->name, 'twilio'); ?>><?php esc_html_e('Twilio', BUZZLAB_PLUGIN_NAME); ?></option>
                            <option value="textMagic" <?php selected(@$smsConfig->name, 'textMagic'); ?>><?php esc_html_e('Text Magic', BUZZLAB_PLUGIN_NAME); ?></option>
                            <option value="custom" <?php selected(@$smsConfig->name, 'custom'); ?>><?php esc_html_e('Custom', BUZZLAB_PLUGIN_NAME); ?></option>
                        </select>
                    </div>
                    <div class="row mt-4 d-none configForm" id="clickatell">
                        <div class="col-md-12">
                            <h6 class="mb-2"><?php esc_html_e('Clickatell Configuration', BUZZLAB_PLUGIN_NAME); ?></h6>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label><?php esc_html_e('API Key', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" class="form-control" placeholder="<?php esc_attr_e('API Key', BUZZLAB_PLUGIN_NAME); ?>" name="clickatell_api_key" value="<?php echo esc_attr(@$smsConfig->clickatell->api_key); ?>" />
                            </div>
                        </div>
                    </div>
                    <div class="row mt-4 d-none configForm" id="infobip">
                        <div class="col-md-12">
                            <h6 class="mb-2"><?php esc_html_e('Infobip Configuration', BUZZLAB_PLUGIN_NAME); ?></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php esc_html_e('Username', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" class="form-control" placeholder="<?php esc_attr_e('Username', BUZZLAB_PLUGIN_NAME); ?>" name="infobip_username" value="<?php echo esc_attr(@$smsConfig->infobip->username); ?>" />
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php esc_html_e('Password', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" class="form-control" placeholder="<?php esc_attr_e('Password', BUZZLAB_PLUGIN_NAME); ?>" name="infobip_password" value="<?php echo esc_attr(@$smsConfig->infobip->password); ?>" />
                            </div>
                        </div>
                    </div>
                    <div class="row mt-4 d-none configForm" id="messageBird">
                        <div class="col-md-12">
                            <h6 class="mb-2"><?php esc_html_e('Message Bird Configuration', BUZZLAB_PLUGIN_NAME); ?></h6>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label><?php esc_html_e('API Key', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" class="form-control" placeholder="<?php esc_attr_e('API Key', BUZZLAB_PLUGIN_NAME); ?>" name="message_bird_api_key" value="<?php echo esc_attr(@$smsConfig->message_bird->api_key); ?>" />
                            </div>
                        </div>
                    </div>
                    <div class="row mt-4 d-none configForm" id="nexmo">
                        <div class="col-md-12">
                            <h6 class="mb-2"><?php esc_html_e('Nexmo Configuration', BUZZLAB_PLUGIN_NAME); ?></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php esc_html_e('API Key', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" class="form-control" placeholder="<?php esc_attr_e('API Key', BUZZLAB_PLUGIN_NAME); ?>" name="nexmo_api_key" value="<?php echo esc_attr(@$smsConfig->nexmo->api_key); ?>" />
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php esc_html_e('API Secret', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" class="form-control" placeholder="<?php esc_attr_e('API Secret', BUZZLAB_PLUGIN_NAME); ?>" name="nexmo_api_secret" value="<?php echo esc_attr(@$smsConfig->nexmo->api_secret); ?>" />
                            </div>
                        </div>
                    </div>
                    <div class="row mt-4 d-none configForm" id="smsBroadcast">
                        <div class="col-md-12">
                            <h6 class="mb-2"><?php esc_html_e('Sms Broadcast Configuration', BUZZLAB_PLUGIN_NAME); ?></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php esc_html_e('Username', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" class="form-control" placeholder="<?php esc_attr_e('Username', BUZZLAB_PLUGIN_NAME); ?>" name="sms_broadcast_username" value="<?php echo esc_attr(@$smsConfig->sms_broadcast->username); ?>" />
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php esc_html_e('Password', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" class="form-control" placeholder="<?php esc_attr_e('Password', BUZZLAB_PLUGIN_NAME); ?>" name="sms_broadcast_password" value="<?php echo esc_attr(@$smsConfig->sms_broadcast->password); ?>" />
                            </div>
                        </div>
                    </div>
                    <div class="row mt-4 d-none configForm" id="twilio">
                        <div class="col-md-12">
                            <h6 class="mb-2"><?php esc_html_e('Twilio Configuration', BUZZLAB_PLUGIN_NAME); ?></h6>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php esc_html_e('Account SID', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" class="form-control" placeholder="<?php esc_attr_e('Account SID', BUZZLAB_PLUGIN_NAME); ?>" name="account_sid" value="<?php echo esc_attr(@$smsConfig->twilio->account_sid); ?>" />
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php esc_html_e('Auth Token', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" class="form-control" placeholder="<?php esc_attr_e('Auth Token', BUZZLAB_PLUGIN_NAME); ?>" name="auth_token" value="<?php echo esc_attr(@$smsConfig->twilio->auth_token); ?>" />
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php esc_html_e('From Number', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" class="form-control" placeholder="<?php esc_attr_e('From Number', BUZZLAB_PLUGIN_NAME); ?>" name="from" value="<?php echo esc_attr(@$smsConfig->twilio->from); ?>" />
                            </div>
                        </div>
                    </div>
                    <div class="row mt-4 d-none configForm" id="textMagic">
                        <div class="col-md-12">
                            <h6 class="mb-2"><?php esc_html_e('Text Magic Configuration', BUZZLAB_PLUGIN_NAME); ?></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php esc_html_e('Username', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" class="form-control" placeholder="<?php esc_attr_e('Username', BUZZLAB_PLUGIN_NAME); ?>" name="text_magic_username" value="<?php echo esc_attr(@$smsConfig->text_magic->username); ?>" />
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php esc_html_e('Apiv2 Key', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" class="form-control" placeholder="<?php esc_attr_e('Apiv2 Key'); ?>" name="apiv2_key" value="<?php echo esc_attr(@$smsConfig->text_magic->apiv2_key); ?>" />
                            </div>
                        </div>
                    </div>
                    <div class="row mt-4 d-nones configForm" id="custom">
                            <div class="col-md-12">
                                <h6 class="mb-2"><?php esc_html_e('Custom API',BUZZLAB_PLUGIN_NAME); ?></h6>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="fw-bold"><?php esc_html_e('API URL',BUZZLAB_PLUGIN_NAME); ?> </label>
                                    <div class="input-group">
                                        <span class="input-group-text">
                                            <select name="custom_api_method" class="method-select">
                                                <option value="get"><?php esc_html_e('GET',BUZZLAB_PLUGIN_NAME); ?></option>
                                                <option value="post"><?php esc_html_e('POST',BUZZLAB_PLUGIN_NAME); ?></option>
                                            </select>
                                        </span>
                                        <input type="text" class="form-control" name="custom_api_url" value="<?php echo @$smsConfig->custom->url; ?>" placeholder="<?php esc_attr_e('API URL',BUZZLAB_PLUGIN_NAME); ?>"/>
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="table-responsive table-responsive--sm mb-3">
                                        <table class=" table align-items-center table--light">
                                            <thead>
                                                <tr>
                                                    <th><?php esc_html_e('Short Code',BUZZLAB_PLUGIN_NAME); ?> </th>
                                                    <th><?php esc_html_e('Description',BUZZLAB_PLUGIN_NAME); ?></th>
                                                </tr>
                                            </thead>
                                            <tbody class="list">
                                                <tr>
                                                    <td>{{message}}</td>
                                                    <td><?php esc_html_e('Message',BUZZLAB_PLUGIN_NAME); ?></td>
                                                </tr>
                                                <tr>
                                                    <td>{{number}}</td>
                                                    <td><?php esc_html_e('Number',BUZZLAB_PLUGIN_NAME); ?></td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="card border--dark mb-3">
                                        <div class="card-header bg--dark d-flex justify-content-between">
                                            <h5 class="text-white"><?php esc_html_e('Headers',BUZZLAB_PLUGIN_NAME); ?></h5>
                                            <button type="button" class="btn btn-sm btn-outline-light float-right addHeader"><i class="la la-fw la-plus"></i><?php esc_html_e('Add',BUZZLAB_PLUGIN_NAME); ?> </button>
                                        </div>
                                        <div class="card-body">
                                            <div class="headerFields">
                                                <?php for($i = 0; $i < count((array)@$smsConfig->custom->headers->name); $i++) : ?>
                                                    <div class="row mt-3">
                                                        <div class="col-md-5">
                                                            <input type="text" name="custom_header_name[]" class="form-control" value="<?php echo @$smsConfig->custom->headers->name->$i?>" placeholder="<?php esc_attr_e('Headers Name',BUZZLAB_PLUGIN_NAME); ?>">
                                                        </div>
                                                        <div class="col-md-5">
                                                            <input type="text" name="custom_header_value[]" class="form-control" value="<?php echo @$smsConfig->custom->headers->value->$i; ?>" placeholder="<?php esc_attr_e('Headers Value',BUZZLAB_PLUGIN_NAME); ?>">
                                                        </div>
                                                        <div class="col-md-2">
                                                            <button type="button" class="btn btn--danger btn-block removeHeader h-100"><i class="las la-times"></i></button>
                                                        </div>
                                                    </div>
                                                <?php endfor ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="card border--dark mb-3">
                                        <div class="card-header bg--dark d-flex justify-content-between">
                                            <h5 class="text-white"><?php esc_html_e('Body',BUZZLAB_PLUGIN_NAME); ?></h5>
                                            <button type="button" class="btn btn-sm btn-outline-light float-right addBody"><i class="la la-fw la-plus"></i><?php esc_html_e('Add',BUZZLAB_PLUGIN_NAME); ?> </button>
                                        </div>
                                        <div class="card-body">
                                            <div class="bodyFields">
                                                <?php for($i = 0; $i < count((array)@$smsConfig->custom->body->name ?? []); $i++) : ?>
                                                    <div class="row mt-3">
                                                        <div class="col-md-5">
                                                            <input type="text" name="custom_body_name[]" class="form-control" value="<?php echo @$smsConfig->custom->body->name->$i?>" placeholder="<?php esc_attr_e('Body Name',BUZZLAB_PLUGIN_NAME); ?>">
                                                        </div>
                                                        <div class="col-md-5">
                                                            <input type="text" name="custom_body_value[]" value="<?php echo @$smsConfig->custom->body->value->$i; ?>" class="form-control" placeholder="<?php esc_attr_e('Body Value',BUZZLAB_PLUGIN_NAME); ?>">
                                                        </div>
                                                        <div class="col-md-2">
                                                            <button type="button" class="btn btn--danger btn-block removeBody h-100"><i class="las la-times"></i></button>
                                                        </div>
                                                    </div>
                                                <?php endfor ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                </div>
                <div class="card-footer">
                    <button type="submit" class="btn w-100 h-45 btn--primary"><?php esc_html_e('Submit', BUZZLAB_PLUGIN_NAME); ?></button>
                </div>
            </form>
        </div><!-- card end -->
    </div>
</div>


<div id="testSMSModal" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"><?php esc_html_e('Test SMS Setup', BUZZLAB_PLUGIN_NAME); ?></h5>
                <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <i class="las la-times"></i>
                </button>
            </div>
            <form action="<?php echo buzz_route_link('admin.setting.notification.sms.test'); ?>" method="POST">
                <?php buzz_nonce_field('admin.setting.notification.sms.test'); ?>
                <input type="hidden" name="id">
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label><?php esc_html_e('Sent to', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input type="text" name="mobile" class="form-control" placeholder="<?php esc_attr_e('Mobile', BUZZLAB_PLUGIN_NAME); ?>">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn--primary w-100 h-45"><?php esc_html_e('Submit', BUZZLAB_PLUGIN_NAME); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php

$html = '<button type="button" data-bs-target="#testSMSModal" data-bs-toggle="modal" class="btn btn-sm btn-outline--primary"><i class="las la-paper-plane"></i>' . __('Send Test SMS', BUZZLAB_PLUGIN_NAME) . '</button>';

buzz_push_breadcrumb($html);

?>


<script>
    jQuery(document).ready(function($) {
        "use strict";


        <?php if (buzz_session()->has('notify')) : ?>
            window.location.href = "<?php echo buzz_route_link('admin.setting.notification.sms',false) ?>&sms_method=<?php echo @$smsConfig->name; ?>";
        <?php endif ?>



        var method = '<?php echo esc_html(@$smsConfig->name); ?>';

        if (!method) {
            method = 'clickatell';
        }

        smsMethod(method);
        $('select[name=sms_method]').on('change', function() {
            var method = $(this).val();
            smsMethod(method);
        }).change();

        function smsMethod(method) {
            $('.configForm').addClass('d-none');
            if (method != 'php') {
                $(`#${method}`).removeClass('d-none');
            }
            $(`select[name=sms_method]`).val(method)
        }

        var smsGateway = '<?php echo @$_GET['sms_method'] ?? $smsConfig->name ?>';
        if (smsGateway) {
            var method = smsGateway;
            smsMethod(method);
        }

        $('.addHeader').click(function(){
            var html = `
                <div class="row mt-3">
                    <div class="col-md-5">
                        <input type="text" name="custom_header_name[]" class="form-control" placeholder="Headers Name">
                    </div>
                    <div class="col-md-5">
                        <input type="text" name="custom_header_value[]" class="form-control" placeholder="Headers Value">
                    </div>
                    <div class="col-md-2">
                        <button type="button" class="btn btn--danger btn-block removeHeader h-100"><i class="las la-times"></i></button>
                    </div>
                </div>
            `;
            $('.headerFields').append(html);

        })
        $(document).on('click','.removeHeader',function(){
            $(this).closest('.row').remove();
        })

        $('.addBody').click(function(){
            var html = `
                <div class="row mt-3">
                    <div class="col-md-5">
                        <input type="text" name="custom_body_name[]" class="form-control" placeholder="Body Name">
                    </div>
                    <div class="col-md-5">
                        <input type="text" name="custom_body_value[]" class="form-control" placeholder="Body Value">
                    </div>
                    <div class="col-md-2">
                        <button type="button" class="btn btn--danger btn-block removeBody h-100"><i class="las la-times"></i></button>
                    </div>
                </div>
            `;
            $('.bodyFields').append(html);

        })
        $(document).on('click','.removeBody',function(){
            $(this).closest('.row').remove();
        })

    });
</script>